<?
/*
     MinieditorTextarea ralis par Djchouix
     Web site = http://lebrikabrak.free.fr/
     e-mail   = lebrikabrak@free.fr
	 version 1.3 (25 septembre 2005) compatibilit avec guppy v4.5.x
*/

if (stristr($_SERVER["SCRIPT_NAME"], "minieditortextarea.inc")) {
  header("location:../index.php");
  die();
}

$pathDirMinieditor = 'admin/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)

if(isset($path_minieditortextarea_config) && $path_minieditortextarea_config != '' && eregi("^[-a-z0-9_]{1}[-a-z0-9_\/]*\/$",$path_minieditortextarea_config) && file_exists(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc')) {
	include(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR PAR DEFAUT
}

if(!eregi("^[a-z]{2,3}$",$lng)) die("Erreur dans le nom de la variable de langue!!");
// Insertion du fichier de langue
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/'.$lng.'_minieditortextarea.inc');
} else {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/lang/en_minieditortextarea.inc'); // fichier de langue par dfaut
}

//CORRECTION INCOMPATIBILITE ENTRE LES DIFFERENTS NAVIGATEURS
	//DETECTION NAVIGATEUR
	if ((ereg("MSIE", getenv("HTTP_USER_AGENT"))) && (ereg("compatible", getenv("HTTP_USER_AGENT"))) && (!ereg("Opera", getenv("HTTP_USER_AGENT"))) && (!ereg("Gecko", getenv("HTTP_USER_AGENT"))) && (!ereg("Konqueror", getenv("HTTP_USER_AGENT")))) {
		$browserMinieditor = "IE";
	} elseif ((ereg("Gecko", getenv("HTTP_USER_AGENT"))) and (!ereg("Safari", getenv("HTTP_USER_AGENT"))) and (!ereg("Konqueror", getenv("HTTP_USER_AGENT")))) {
  		$browserMinieditor = "Gecko";
	} elseif ((ereg("Opera", getenv("HTTP_USER_AGENT")))) {
  		$browserMinieditor = "Opera";
	} elseif (ereg("Konqueror", getenv("HTTP_USER_AGENT"))) {
  		$browserMinieditor = "Konqueror";
	} elseif (ereg("Safari", getenv("HTTP_USER_AGENT"))) {
  		$browserMinieditor = "Safari";
	} else {
  		$browserMinieditor = "KO";
	}

	//VARIABLE NB CARACTERE TEXTE SELECTION (NECESSAIRE OPERA 8)
	if(($browserMinieditor == "IE") || ($browserMinieditor == "Opera")) {   //compatibilit IE, MOZILLA et OPERA 8
		echo '<input type="hidden" id="nb_caract" name="nb_caract" value="" />'."\n";
		echo '<input type="hidden" id="pos_cursor" name="pos_cursor" value="" />'."\n";
	}

	//COMPATIBILITE AFFICHAGE ICONES MINIEDITOR
	if(($browserMinieditor == "IE") || ($browserMinieditor == "Gecko") || ($browserMinieditor == "Opera")) {   //compatibilit IE, MOZILLA et OPERA 8
		$tagBeginMinieditor = '<input type="button" value="" ';
		$tagEndMinieditor = ' />'."\n";
	} else {  //compatibilit KONQUEROR (ET LES AUTRES A TESTER)
		$tagBeginMinieditor = '<div ';
		$tagEndMinieditor = '></div>'."\n";
	}

	//COMPATIBILITE AFFICHAGE POPUP COLOR MINIEDITOR
	$IEPopupColor = ($browserMinieditor == "IE") ? 'IE' : '';

//INSERTION FONCTIONS JAVASCRIPT
if(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/jscript.inc')) {
   	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/jscript.inc');  
} else {
	die('Une erreur est survenue car il manque le fichier jscript dans le rpertoire '.$pathDirMinieditor.'minieditortextarea/');
}

//INSERTION IMAGE POUR MISE EN CACHE (NECESSAIRE POUR IE)
echo '<div style="display:none;"><img src="'.$site[3].'admin/editors/minieditortextarea/img/minieditortextarea.gif" width="210" height="84" border="0" /></div>';

///////////////////////////////////////////////////////////////
/////////////FONCTION MINIEDITEUR/////////////////////////////// 
///////////////////////////////////////////////////////////////

function MiniEditorTextarea($numbertextarea,$nameform,$nametextarea,$widthtextarea,$heightextarea,$fieldtextarea){
	global 	$site,$serviz,$browserMinieditor,$lng,$lang_minieditor,
			$typeFONT,$sizeFONT,$baliseHTML,$classCSS,$targetURL,$alignIMG,$baliseBonus,$colorTextTextarea,$colorFondTextarea,
			$colorFondMenu,$colorFondMenuOver,$colorTextTitre,$colorFondTitre,$tagBeginMinieditor,$tagEndMinieditor,
			$colorTextCorp,$colorFondCorp,$styleBordureCorp,$path_minieditortextarea_config,$pathFilesMinieditor,$IEPopupColor;

	//STYLE CSS DU MINIEDITEUR
	$minieditorStyleMenu = 'text-align:left; margin-left:auto; margin-right:auto; padding-left:5px; padding-bottom:5px; background-color:'.$colorFondMenu.';';

	$minieditorStyleIcon = 'border:none; cursor:pointer; background-color:transparent; background-image:url(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/img/minieditortextarea.gif\'); background-repeat: no-repeat; width:21px; height:21px; vertical-align:middle;';
	if(($browserMinieditor != "IE") && ($browserMinieditor != "Gecko") && ($browserMinieditor != "Opera")) {   //compatibilit Konqueror (safari ? a tester)
		$minieditorStyleIcon .= 'float:left; margin-bottom:5px; margin-top:3px;';
	} else {
		$minieditorStyleIcon .= 'margin-top:5px;';	
	}

	$minieditorStyleSelect = 'cursor:pointer; vertical-align:middle; margin-top:4px; margin-bottom:0px; ';
	if(($browserMinieditor != "IE") && ($browserMinieditor != "Gecko") && ($browserMinieditor != "Opera")) {   //compatibilit Konqueror (safari ? a tester)
		$minieditorStyleSelect .= 'float:left;height:21px;margin-right:5px;'."\n";
	}

	$minieditorStyleTextarea = 'margin-top:0px; color:'.$colorTextTextarea.'; background-color:'.$colorFondTextarea.';';
	
	$minieditorStyleSmiley = 'text-align:center; padding-top:5px; padding-bottom:5px; margin-left:auto; margin-right:auto;';

	$minieditorStyleImgSmiley = 'vertical-align:middle; cursor:pointer;';

	if(($browserMinieditor != "IE") && ($browserMinieditor != "Gecko") && ($browserMinieditor != "Opera")) {   //compatibilit Konqueror (safari ? a tester)
		$minieditorStyleBR = ' style="clear:left;"'; 
	}

	//FONCTION JAVASCRIPT UNDO ET REDO
?>
	<script type="text/javascript">
	<!--	 
		var textareaValue<? echo $numbertextarea; ?> = new Array();
		var nbTextareaValue<? echo $numbertextarea; ?> = 0;
		var rangTextareaValue<? echo $numbertextarea; ?> = 0;

		function recupTextareaValue<? echo $numbertextarea; ?>(nameform,nametextarea) {
			nbTextareaValue<? echo $numbertextarea; ?> = textareaValue<? echo $numbertextarea; ?>.length;
			if(document.forms[nameform].elements[nametextarea].value != textareaValue<? echo $numbertextarea; ?>[nbTextareaValue<? echo $numbertextarea; ?>-1]) { 
				textareaValue<? echo $numbertextarea; ?>.push(document.forms[nameform].elements[nametextarea].value);
				nbTextareaValue<? echo $numbertextarea; ?> = textareaValue<? echo $numbertextarea; ?>.length;
				rangTextareaValue<? echo $numbertextarea; ?> = nbTextareaValue<? echo $numbertextarea; ?>;
			}
		}

		function Undo<? echo $numbertextarea; ?>(nameform,nametextarea) {
			if(textareaValue<? echo $numbertextarea; ?>[rangTextareaValue<? echo $numbertextarea; ?>-1] != undefined) {
				document.forms[nameform].elements[nametextarea].value = textareaValue<? echo $numbertextarea; ?>[rangTextareaValue<? echo $numbertextarea; ?>-1];
				if(rangTextareaValue<? echo $numbertextarea; ?> == nbTextareaValue<? echo $numbertextarea; ?>) {
					rangTextareaValue<? echo $numbertextarea; ?> = nbTextareaValue<? echo $numbertextarea; ?>-1;
				} else {
					rangTextareaValue<? echo $numbertextarea; ?> = rangTextareaValue<? echo $numbertextarea; ?>-1;				
				}		
			} else {
				return false;
			}
 		}

		function Redo<? echo $numbertextarea; ?>(nameform,nametextarea) {
			if(textareaValue<? echo $numbertextarea; ?>[rangTextareaValue<? echo $numbertextarea; ?>+1] != undefined) {
				document.forms[nameform].elements[nametextarea].value = textareaValue<? echo $numbertextarea; ?>[rangTextareaValue<? echo $numbertextarea; ?>+1];	
				rangTextareaValue<? echo $numbertextarea; ?> = rangTextareaValue<? echo $numbertextarea; ?>+1;
			} else {
				return false;
			}
		}
	-->
	</script>
<?		
    //MENU DU MINIEDITEUR
		echo '<div style="text-align:center;">'."\n";
		echo '<div style="width:'.$widthtextarea.';'.$minieditorStyleMenu.'">'."\n";
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'1" title="'.$lang_minieditor[2].'" style="background-position:-21px -42px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'1\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'1\',\'transparent\');" onclick="NewPage(\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //NOUVELLE PAGE
		//MENU POLICE
		echo '<select name="Font'.$numbertextarea.'" size="1" style="width:95px;'.$minieditorStyleSelect.'" onchange="AddFont(\'Font'.$numbertextarea.'\',\''.$nameform.'\',\''.$nametextarea.'\');">'."\n";
		echo '<option value="" selected="selected">'.$lang_minieditor[3].'</option>'."\n";
		for ($i = 0; $i < count($typeFONT); $i++) {
			echo '<option value="font-family:'.$typeFONT[$i].'">'.$typeFONT[$i].'</option>'."\n";
		}
		echo '</select>'."\n";
		//MENU TAILLE
		echo '<select name="Size'.$numbertextarea.'" size="1" style="width:85px;'.$minieditorStyleSelect.'" onchange="AddFont(\'Size'.$numbertextarea.'\',\''.$nameform.'\',\''.$nametextarea.'\');">'."\n";
		echo '<option value="" selected="selected">'.$lang_minieditor[4].'</option>'."\n";
		for ($i = 0; $i < count($sizeFONT); $i++) {
			echo '<option value="font-size:'.$sizeFONT[$i].'">'.$sizeFONT[$i].'</option>'."\n";
		}
		echo '</select>'."\n";
		//ICONES
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'2" title="'.$lang_minieditor[5].'" style="background-position:-147px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'2\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'2\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/popup/color'.$IEPopupColor.'.php?lng='.$lng.'&amp;stylecolor=color&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'&amp;pathconfig='.$path_minieditortextarea_config.'\',\'color\',\'230\', \'250\', \'no\',\'no\', \''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //COULEUR TEXTE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'3" title="'.$lang_minieditor[6].'" style="background-position:-168px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'3\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'3\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/popup/color'.$IEPopupColor.'.php?lng='.$lng.'&amp;stylecolor=background-color&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'&amp;pathconfig='.$path_minieditortextarea_config.'\',\'color\',\'230\', \'250\', \'no\',\'no\', \''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;   //COULEUR SURLIGNAGE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'4" title="'.$lang_minieditor[7].'" style="background-position:0px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'4\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'4\',\'transparent\');" onclick="AddFormat(\'p\',\'text-align:left\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //PARAGRAPHE GAUCHE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'5" title="'.$lang_minieditor[8].'" style="background-position:-21px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'5\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'5\',\'transparent\');" onclick="AddFormat(\'p\',\'text-align:center\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //PARAGRAPHE CENTRE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'6" title="'.$lang_minieditor[9].'" style="background-position:-42px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'6\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'6\',\'transparent\');" onclick="AddFormat(\'p\',\'text-align:right\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //PARAGRAPHE DROIT
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'7" title="'.$lang_minieditor[10].'" style="background-position:-63px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'7\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'7\',\'transparent\');" onclick="AddFormat(\'p\',\'text-align:justify\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //PARAGRAPHE JUSTIFIE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'8" title="'.$lang_minieditor[11].'" style="background-position:-84px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'8\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'8\',\'transparent\');" onclick="AddFormat(\'span\',\'font-weight:bold\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE GRAS
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'9" title="'.$lang_minieditor[12].'" style="background-position:-105px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'9\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'9\',\'transparent\');" onclick="AddFormat(\'span\',\'font-style:italic\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE ITALIC
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'10" title="'.$lang_minieditor[13].'" style="background-position:-126px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'10\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'10\',\'transparent\');" onclick="AddFormat(\'span\',\'text-decoration:underline\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE SOULIGNE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'11" title="'.$lang_minieditor[14].'" style="background-position:-189px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'11\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'11\',\'transparent\');" onclick="AddFormat(\'span\',\'text-decoration:line-through\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE BARRE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'12" title="'.$lang_minieditor[15].'" style="background-position:-63px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'12\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'12\',\'transparent\');" onclick="AddFormat(\'span\',\'vertical-align:sub\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE INDICE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'13" title="'.$lang_minieditor[16].'" style="background-position:-84px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'13\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'13\',\'transparent\');" onclick="AddFormat(\'span\',\'vertical-align:super\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //TEXTE EXPOSANT
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'18" title="'.$lang_minieditor[43].'" style="background-position:-82px -42px;'.$minieditorStyleIcon.' width:25px;" onmouseover="MouseOverFile(\'button'.$numbertextarea.'18\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'18\',\'transparent\');" onclick="AddFormat(\'br\',\'\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //BALISE BR
		if(isset($baliseBonus) && $baliseBonus != '') {
			echo $tagBeginMinieditor.'id="button'.$numbertextarea.'19" title="'.$lang_minieditor[45].' <'.$baliseBonus.'>" style="background-position:-124px -42px;'.$minieditorStyleIcon.' width:25px;" onmouseover="MouseOverFile(\'button'.$numbertextarea.'19\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'19\',\'transparent\');" onclick="AddFormat(\''.$baliseBonus.'\',\'\',\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //BALISE ICONE COEUR
		}
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'14" title="'.$lang_minieditor[17].'" style="background-position:-189px 0px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'14\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'14\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/popup/image.php?lng='.$lng.'&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'&amp;pathconfig='.$path_minieditortextarea_config.'\',\'image\',\'450\', \'287\', \'no\',\'no\', \''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //INSERTION IMAGE
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'15" title="'.$lang_minieditor[18].'" style="background-position:0px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'15\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'15\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/popup/link.php?lng='.$lng.'&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'&amp;pathconfig='.$path_minieditortextarea_config.'\',\'link\',\'430\', \'167\', \'no\',\'no\', \''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //INSERTION LIEN
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'16" title="'.$lang_minieditor[19].'" style="background-position:-21px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'16\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'16\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'minieditortextarea/popup/preview.php?lng='.$lng.'&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'&amp;pathconfig='.$path_minieditortextarea_config.'\', \'preview\', \'600\', \'450\', \'yes\',\'yes\',\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //APERCU
		//EDITEUR WYSIWYG
		if ($browserMinieditor == "IE" || $browserMinieditor == "Gecko" ) {
			if ($serviz[49] == 'HTMLArea' || $serviz[49] == 'FCK' || $serviz[49] == 'Typetool') {
				echo $tagBeginMinieditor.'id="button'.$numbertextarea.'17" title="'.$lang_minieditor[20].'" style="background-position:-42px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'17\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'17\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].$pathFilesMinieditor.'editor'.$serviz[49].'.php?lng='.$lng.'&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'\', \'editor\', \'600\', \'510\', \'yes\',\'no\',\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;
			} else {
				echo $tagBeginMinieditor.'id="button'.$numbertextarea.'17" title="'.$lang_minieditor[20].'" style="background-position:-42px -21px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'17\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'17\',\'transparent\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="popup_minieditortextarea(\''.$site[3].'admin/editor'.$serviz[49].'.php?lng='.$lng.'&amp;nameform='.$nameform.'&amp;nametextarea='.$nametextarea.'\', \'editor\', \'647\', \'510\', \'yes\',\'no\',\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;
			}
		}
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'20" title="'.$lang_minieditor[46].'" style="background-position:-63px -42px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'20\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'20\',\'transparent\');" onclick="Undo'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //UNDO
		echo $tagBeginMinieditor.'id="button'.$numbertextarea.'21" title="'.$lang_minieditor[47].'" style="background-position:-105px -42px;'.$minieditorStyleIcon.'" onmouseover="MouseOverFile(\'button'.$numbertextarea.'21\',\''.$colorFondMenuOver.'\');" onmouseout="MouseOverFile(\'button'.$numbertextarea.'21\',\'transparent\');" onclick="Redo'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');"'.$tagEndMinieditor;  //REDO
		echo '<br'.$minieditorStyleBR.' />'."\n";
		//MENU BALISEHTML
		echo '<select name="HTMLbalise'.$numbertextarea.'" size="1" style="'.$minieditorStyleSelect.'" onchange="AddBalise(\'HTMLbalise'.$numbertextarea.'\',\''.$nameform.'\',\''.$nametextarea.'\');">'."\n";
		echo '<option value="" selected="selected">'.$lang_minieditor[21].'</option>'."\n";
		for ($i = 0; $i < count($baliseHTML); $i++) {
			echo '<option value="'.$baliseHTML[$i].'">'.$baliseHTML[$i].'</option>'."\n";
		}
		echo '</select>'."\n";
		//MENU CLASS CSS
		echo '<select name="CSSclass'.$numbertextarea.'" size="1" style="'.$minieditorStyleSelect.'" onchange="AddCSS(\'CSSclass'.$numbertextarea.'\',\''.$nameform.'\',\''.$nametextarea.'\');">'."\n";
		echo '<option value="" selected="selected">'.$lang_minieditor[22].'</option>'."\n";
		for ($i = 0; $i < count($classCSS); $i++) {
			echo '<option value="'.$classCSS[$i].'">'.$classCSS[$i].'</option>'."\n";
		}
		echo '</select>'."\n";					
		//MENU CHEMIN URL LIEN ET IMAGE
		echo '<select name="URLpath'.$numbertextarea.'" size="1" style="'.$minieditorStyleSelect.'" onchange="ChangeURLPath(\'URLpath'.$numbertextarea.'\',\''.$nameform.'\',\''.$nametextarea.'\');">'."\n";
			echo '<option value="" selected="selected">'.$lang_minieditor[23].'</option>'."\n";
			echo '<option value="relatif">'.$lang_minieditor[24].'</option>'."\n";
			echo '<option value="absolu">'.$lang_minieditor[25].'</option>'."\n";
		echo '</select>'."\n";
		echo '<br'.$minieditorStyleBR.' />'."\n";
		echo '</div>'."\n";
		echo '</div>'."\n";
		
	//TEXTAREA DU MINIEDITEUR
		echo '<div style="text-align:center;"><textarea name="'.$nametextarea.'" id="'.$nametextarea.'" style="width:'.$widthtextarea.'; height:'.$heightextarea.';'.$minieditorStyleTextarea.'" cols="43" rows="20" onselect="selectext(\''.$nameform.'\',\''.$nametextarea.'\');" onblur="recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" onclick="selectext(\''.$nameform.'\',\''.$nametextarea.'\'); recupTextareaValue'.$numbertextarea.'(\''.$nameform.'\',\''.$nametextarea.'\');" >'.$fieldtextarea.'</textarea></div>'."\n";

	//SMILEYS DU MINIEDITEUR
		echo '<div style="text-align:center;">';
    	echo '<div style="width:'.$widthtextarea.';'.$minieditorStyleSmiley.'">'."\n";
		$souriez = array();
		$i = 0;
		$dir = opendir(CHEMIN.'inc/img/smileys/');
		while ($file = readdir($dir)) {
        	if(is_file(CHEMIN.'inc/img/smileys/'.$file) && ($file != 'index.php') && ereg('\.(gif|jpg|png|jpeg)$', $file)) {
				$souriez[$i][0] = 'inc/img/smileys/'.$file;			
				$souriez[$i][1] = substr($file,0,(strlen($file)-4));
				$image_size = getimagesize($site[3].$souriez[$i][0]);
				$souriez[$i][2] = $image_size[0];
				$souriez[$i][3] = $image_size[1];
				$souriez[$i][4] = $image_size[3];
				$i++;	
			}		
 		}
		closedir($dir);
	    for ($i = 0; $i < count($souriez); $i++) {
            echo '<img src="'.$site[3].$souriez[$i][0].'" '.$souriez[$i][4].' style="'.$minieditorStyleImgSmiley.'" border="0" title="'.$souriez[$i][1].'" alt="'.$souriez[$i][1].'" onclick="AddSmiley(\''.$souriez[$i][0].'\',\''.$souriez[$i][2].'\',\''.$souriez[$i][3].'\',\''.$souriez[$i][1].'\',\''.$nameform.'\',\''.$nametextarea.'\');" />&nbsp;'."\n";
        }
		unset($souriez);
		echo '</div>'."\n";
		echo '</div>'."\n";		
}
?>